# Class: oDialog

## $. oDialog

$.oDialog Base Class -- helper class for showing GUI content.

#### new $.oDialog()

openHarmony/openHarmony_dialog.js, line 58
  The base class for the $.oDialog.

### Methods

#### alert(labelText, title, okButtonText)

openHarmony/openHarmony_dialog.js, line 112
  Prompts with an alert dialog (informational).

  Name | Type | Description
  --- | --- | ---
  `labelText` | string | optional The label/internal text of the dialog.
  `title` | string | optional The title of the confirmation dialog.
  `okButtonText` | string | optional The text on the OK button of the dialog.

#### alertBox(labelText, title, okButtonText)

openHarmony/openHarmony_dialog.js, line 145
  Prompts with an alert dialog with a text box which can be selected (informational).

  Name | Type | Description
  --- | --- | ---
  `labelText` | string | optional The label/internal text of the dialog.
  `title` | string | optional The title of the confirmation dialog.
  `okButtonText` | string | optional The text on the OK button of the dialog.

#### browseForFile(text, filter, getExisting, acceptMultiple, startDirectory){Array.<string>}

openHarmony/openHarmony_dialog.js, line 201
  Prompts with a file selector window

  Name | Type | Default | Description
  --- | --- | --- | ---
  `text` | string | "Select a file:" | optional The title of the confirmation dialog.
  `filter` | string | "*" | optional The filter for the file type and/or file name that can be selected. Accepts wildcard charater "*".
  `getExisting` | string | true | optional Whether to select an existing file or a save location
  `acceptMultiple` | string | false | optional Whether or not selecting more than one file is ok. Is ignored if getExisting is falses.
  `startDirectory` | string |  | optional The directory showed at the opening of the dialog.

  ##### Returns:

  Type | Description
  --- | ---
  Array.<string> | The list of selected Files, 'undefined' if the dialog is cancelled

#### browseForFolder(text, startDirectory){Array.<string>}

openHarmony/openHarmony_dialog.js, line 235
  Prompts with a browse for folder dialog (informational).

  Name | Type | Description
  --- | --- | ---
  `text` | string | optional The title of the confirmation dialog.
  `startDirectory` | string | optional The directory showed at the opening of the dialog.

  ##### Returns:

  Type | Description
  --- | ---
  Array.<string> | The path of the selected folder, 'undefined' if the dialog is cancelled

#### confirm(labelText, title, okButtonText, cancelButtonText){bool}

openHarmony/openHarmony_dialog.js, line 62
  Prompts with a confirmation dialog (yes/no choice).

  Name | Type | Description
  --- | --- | ---
  `labelText` | string | optional The label/internal text of the dialog.
  `title` | string | optional The title of the confirmation dialog.
  `okButtonText` | string | optional The text on the OK button of the dialog.
  `cancelButtonText` | string | optional The text on the CANCEL button of the dialog.

  ##### Returns:

  Type | Description
  --- | ---
  bool | Result of the confirmation dialog.

#### prompt(labelText, title, prefilledText)

openHarmony/openHarmony_dialog.js, line 183
  Prompts for a user input.

  Name | Type | Description
  --- | --- | ---
  `labelText` | string | optional The label/internal text of the dialog.
  `title` | string | optional The title of the confirmation dialog.
  `prefilledText` | string | optional The text to display in the input area.